# Uses of Class
org.springframework.aop.aspectj.annotation.AspectMetadata

Packages that use AspectMetadata
Package
Description
org.springframework.aop.aspectj.annotation
Classes enabling AspectJ 5 @Annotated classes to be used in Spring AOP.

## Uses of AspectMetadata in org.springframework.aop.aspectj.annotation

Methods in org.springframework.aop.aspectj.annotation that return AspectMetadata
Modifier and Type
Method
Description
`AspectMetadata`
BeanFactoryAspectInstanceFactory.`getAspectMetadata()`
`AspectMetadata`
LazySingletonAspectInstanceFactoryDecorator.`getAspectMetadata()`
`AspectMetadata`
MetadataAwareAspectInstanceFactory.`getAspectMetadata()`
Get the AspectJ AspectMetadata for this factory's aspect.
`final AspectMetadata`
SimpleMetadataAwareAspectInstanceFactory.`getAspectMetadata()`
`final AspectMetadata`
SingletonMetadataAwareAspectInstanceFactory.`getAspectMetadata()`